import axios from "axios";

const url = "https://firebasedynamiclinks.googleapis.com/v1/shortLinks?key=AIzaSyAOY4pgYs2swcllYCWjJF3bZUkNC6LWPqI"

async function shareCreatorChannel(channelInfo, utmSource, utmMedium, utmCampaign) {
    const data = {
        "dynamicLinkInfo": {
            "domainUriPrefix": "https://sodalive.page.link",
            "link": "https://sodalive.net/?channel_id=" + channelInfo.id,
            "androidInfo": {
                "androidPackageName": "kr.co.vividnext.sodalive",
            },
            "iosInfo": {
                "iosBundleId": "kr.co.vividnext.sodalive",
                "iosAppStoreId": "6461721697"
            },
            "analyticsInfo": {
                "googlePlayAnalytics": {
                    "utmSource": utmSource,
                    "utmMedium": utmMedium,
                    "utmCampaign": utmCampaign,
                },
            },
            "socialMetaTagInfo": {
                "socialTitle": "보이스온",
                "socialDescription": "보이스온 " + channelInfo.nickname + "님의 채널입니다.",
                "socialImageLink": channelInfo.profileUrl
            }
        }
    }

    return axios.post(url, data, {
        headers: {
            "Content-Type": "application/json",
        },
    });
}

async function shareAudioContent(audioContent, utmSource, utmMedium, utmCampaign) {
    const data = {
        "dynamicLinkInfo": {
            "domainUriPrefix": "https://sodalive.page.link",
            "link": "https://sodalive.net/?audio_content_id=" + audioContent.audioContentId,
            "androidInfo": {
                "androidPackageName": "kr.co.vividnext.sodalive",
            },
            "iosInfo": {
                "iosBundleId": "kr.co.vividnext.sodalive",
                "iosAppStoreId": "6461721697"
            },
            "analyticsInfo": {
                "googlePlayAnalytics": {
                    "utmSource": utmSource,
                    "utmMedium": utmMedium,
                    "utmCampaign": utmCampaign,
                },
            },
            "socialMetaTagInfo": {
                "socialTitle": audioContent.title + " - " + audioContent.creatorNickname,
                "socialDescription": "지금 보이스온에서 이 콘텐츠 감상하기",
                "socialImageLink": audioContent.coverImageUrl
            }
        }
    }

    return axios.post(url, data, {
        headers: {
            "Content-Type": "application/json",
        },
    });
}

export { shareCreatorChannel, shareAudioContent }
