import Vue from 'vue';

async function enrollment(formData) {
    return Vue.axios.post('/live/tag', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function getTags() {
    return Vue.axios.get('/live/tag');
}

async function deleteTag(tagId)  {
    return Vue.axios.delete('/live/tag/' + tagId)
}

async function modifyTag(tagId, formData) {
    return Vue.axios.put('/live/tag/' + tagId, formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    })
}

async function updateTagOrders(ids) {
    return Vue.axios.put('/live/tag/orders', { ids: ids })
}

export { enrollment, getTags, deleteTag, modifyTag, updateTagOrders }
